@import "variables";

.card {
  height: 8rem;
  border-top: 1px solid $color-gris-claro;
  display: flex;
  align-items: center;
  gap: 1rem;
  background-color: $color-blanco-fuerte;

  &__imagen {
    height: 7rem;
    border-radius: 10px;
  }
}

@media (min-width: 520px) {
  .card {
    height: 18rem;
    gap: 0.5rem;
    flex-direction: column;
    border: none;
    width: 13rem;
    justify-content: center;
    border-radius: 10px;
    box-shadow: 0px 0px 15px 0.3px rgb(0 0 0 / 5%);
    background-color: $color-blanco;
    &__imagen {
      min-height: 9rem;
    }
  }
}

.informacion {
  &__titulo {
    font-size: 12px;
  }

  &__autor {
    font-size: 12px;
  }

  &__btn {
    width: 2.2rem;
    height: 2.2rem;
    border-radius: 20px;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    transition-property: transform;
    transition-duration: 300ms;
    background-color: $color-blanco;
  }

  &__btn:hover {
    background-color: $color-primario;
    cursor: pointer;
    transform: scale(1.1);
  }
}

@media (min-width: 520px) {
  .informacion {
    margin: 0 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    &__titulo {
      max-height: 18px;
      text-overflow: ellipsis;
      overflow: hidden;
      text-align: center;
    }

    &__autor {
      max-height: 18px;
      text-align: center;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    &__btn {
      margin-top: 0.3rem;
      background-color: $color-blanco-fuerte;
    }
  }
}
